Page MenuHomePhabricator

Remove ratelimit from Wikidata for some groups again
Closed, ResolvedPublic2 Story Points

Description

We restricted the edit and page creation rate for everyone on Wikidata in T184948: limit page creation and edit rate on Wikidata. We have now implemented T194950: Include Wikibase dispatch lag in API "maxlag" enforcing. This means we no longer want to have as harsh restrictions for admins and bots. We still do want the limit in place for normal users as they are not bound to maxlag and other rules.

Remove rate limit for:

  • Admins
  • Bots

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 28 2018, 1:21 PM
Addshore changed the task status from Open to Stalled.Jul 2 2018, 5:37 PM
Addshore added a subscriber: Addshore.

Marking as stalled as we don't quite want to do this yet.. AFAIK right now we haven't turned our maxlag thing on? Is there a ticket for that deployment?

Marking as stalled as we don't quite want to do this yet.. AFAIK right now we haven't turned our maxlag thing on? Is there a ticket for that deployment?

It's going to be deployed today. I'm using T194950 for it.

Lydia_Pintscher changed the task status from Stalled to Open.Jul 31 2018, 12:32 PM
Lydia_Pintscher renamed this task from Remove ratelimit from Wikidata to Remove ratelimit from Wikidata for some groups again.Jul 31 2018, 12:40 PM
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher triaged this task as Normal priority.Jul 31 2018, 12:43 PM

Personally we can remove the current rate limit completely as the default 90 edits/minute limit in T56515: Apply editing rate limits for all users is probably enough.

Also how far this is from being actually deployed?

Addshore moved this task from Backlog to Watching on the wikidata-tech-focus board.
WMDE-leszek set the point value for this task to 2.Aug 21 2018, 1:05 PM
WMDE-leszek moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.
WMDE-leszek set Due Date to Aug 27 2018, 10:00 PM.
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptAug 21 2018, 1:06 PM
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptAug 21 2018, 1:06 PM

Change 454785 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Jonas Kress (WMDE)):
[operations/mediawiki-config@master] Revert "Limit page creation and edit rate on Wikidata"

https://gerrit.wikimedia.org/r/454785

Change 454785 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "Limit page creation and edit rate on Wikidata"

https://gerrit.wikimedia.org/r/454785

Mentioned in SAL (#wikimedia-operations) [2018-08-23T13:29:27Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T198396 Revert "Limit page creation and edit rate on Wikidata" [[gerrit:454785]] (duration: 00m 56s)

Lydia_Pintscher added a subscriber: Lydia_Pintscher.

It seems the patch removes all the limits but the description says to keep it for normal users. Is this correct?

For normal user we already have a 90 edits/minute limit (see T56515). This is probably enough.

Lydia_Pintscher closed this task as Resolved.Aug 27 2018, 9:59 AM

Ok. I guess that's fine for now then.